org.apache.myfaces.trinidad.util

## Class CollectionUtils.CompositeCollection<E>

- java.lang.Object
- - org.apache.myfaces.trinidad.util.CollectionUtils.CompositeCollection<E>

- Type Parameters:
    `E` -
  All Implemented Interfaces:
    Iterable<E>, Collection<E>
  Direct Known Subclasses:
    CollectionUtils.CompositeSet
  Enclosing class:
    CollectionUtils

      protected abstract static class CollectionUtils.CompositeCollection<E>
      extends Object
      implements Collection<E>

  Note: Requires contents to be disjoint!

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `CollectionUtils.CompositeCollection()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `add(E e)`
    `boolean` | `addAll(Collection<? extends E> c)`
    `void` | `clear()`
    `boolean` | `contains(Object o)`
    `boolean` | `containsAll(Collection<?> c)`
    `protected abstract Collection<E>` | `getPrimaryDelegate()`
    `protected abstract Collection<E>` | `getSecondaryDelegate()`
    `boolean` | `isEmpty()`
    `Iterator<E>` | `iterator()`
    `boolean` | `remove(Object o)`
    `boolean` | `removeAll(Collection<?> c)`
    `boolean` | `retainAll(Collection<?> c)`
    `int` | `size()`
    `Object[]` | `toArray()`
    `<T> T[]` | `toArray(T[] outArray)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Collection

      `equals, hashCode`

- - ### Constructor Detail

    - #### CollectionUtils.CompositeCollection

          protected CollectionUtils.CompositeCollection()

  - ### Method Detail

    - #### getPrimaryDelegate

          protected abstract Collection<E> getPrimaryDelegate()

    - #### getSecondaryDelegate

          protected abstract Collection<E> getSecondaryDelegate()

    - #### size

          public int size()

      Specified by:
        `size` in interface `Collection<E>`

    - #### isEmpty

          public boolean isEmpty()

      Specified by:
        `isEmpty` in interface `Collection<E>`

    - #### contains

          public boolean contains(Object o)

      Specified by:
        `contains` in interface `Collection<E>`

    - #### iterator

          public Iterator<E> iterator()

      Specified by:
        `iterator` in interface `Iterable<E>`
      Specified by:
        `iterator` in interface `Collection<E>`

    - #### toArray

          public Object[] toArray()

      Specified by:
        `toArray` in interface `Collection<E>`

    - #### toArray

          public <T> T[] toArray(T[] outArray)

      Specified by:
        `toArray` in interface `Collection<E>`

    - #### add

          public boolean add(E e)

      Specified by:
        `add` in interface `Collection<E>`

    - #### remove

          public boolean remove(Object o)

      Specified by:
        `remove` in interface `Collection<E>`

    - #### containsAll

          public boolean containsAll(Collection<?> c)

      Specified by:
        `containsAll` in interface `Collection<E>`

    - #### addAll

          public boolean addAll(Collection<? extends E> c)

      Specified by:
        `addAll` in interface `Collection<E>`

    - #### removeAll

          public boolean removeAll(Collection<?> c)

      Specified by:
        `removeAll` in interface `Collection<E>`

    - #### retainAll

          public boolean retainAll(Collection<?> c)

      Specified by:
        `retainAll` in interface `Collection<E>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `Collection<E>`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2001-2016 The Apache Software Foundation. All Rights Reserved.